--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Return a from_self dataset if an order or limit is specified, so it works as expected with UNION, EXCEPT, and INTERSECT clauses.
full_name: Sequel::Dataset#compound_from_self
is_singleton: false
name: compound_from_self
params: ()
visibility: protected
